VPS侦探论坛

 找回密码
 注册
查看: 257|回复: 4

树莓派 官方64位系统安装lnmp失败

[复制链接]
发表于 2021-3-25 13:03:56 | 显示全部楼层 |阅读模式



大概错误信息
crypto/aes/vpaes-armv8.S:1176: Error: bad instruction `st1 {v0.16b},[x1],#16'
crypto/aes/vpaes-armv8.S:1177: Error: ARM register expected -- `subs x17,x17,#16'
crypto/aes/vpaes-armv8.S:1178: Error: unexpected character `l' in type specifier
crypto/aes/vpaes-armv8.S:1178: Error: bad instruction `b.ls .Lecb_dec_done'
crypto/aes/vpaes-armv8.S:1182: Error: bad instruction `ld1 {v14.16b,v15.16b},[x0],#32'
crypto/aes/vpaes-armv8.S:1184: Error: bad instruction `st1 {v0.16b,v1.16b},[x1],#32'
crypto/aes/vpaes-armv8.S:1185: Error: ARM register expected -- `subs x17,x17,#32'
crypto/aes/vpaes-armv8.S:1186: Error: unexpected character `h' in type specifier
crypto/aes/vpaes-armv8.S:1186: Error: bad instruction `b.hi .Lecb_dec_loop'
crypto/aes/vpaes-armv8.S:1189: Error: bad instruction `ldp d14,d15,[sp],#16'
crypto/aes/vpaes-armv8.S:1190: Error: bad instruction `ldp d12,d13,[sp],#16'
crypto/aes/vpaes-armv8.S:1191: Error: bad instruction `ldp d10,d11,[sp],#16'
crypto/aes/vpaes-armv8.S:1192: Error: bad instruction `ldp d8,d9,[sp],#16'
crypto/aes/vpaes-armv8.S:1193: Error: bad instruction `ldp x29,x30,[sp],#16'
crypto/aes/vpaes-armv8.S:1195: Error: bad instruction `ret'
make[3]: *** [Makefile:799: crypto/aes/vpaes-armv8.o] Error 1
make[3]: Leaving directory '/root/lnmp1.7/src/openssl-1.1.1g'
make[2]: *** [Makefile:174:all] 错误 2
make[2]: 离开目录“/root/lnmp1.7/src/openssl-1.1.1g”
make[1]: *** [objs/Makefile:1533:/root/lnmp1.7/src/openssl-1.1.1g/.openssl/include/openssl/ssl.h] 错误 2
make[1]: 离开目录“/root/lnmp1.7/src/nginx-1.18.0”
make: *** [Makefile:11:install] 错误 2
cp: 无法创建普通文件'/usr/local/nginx/conf/nginx.conf': 没有那个文件或目录
cp: 无法创建目录 '/usr/local/nginx/conf/': 没有那个文件或目录
cp: 无法创建普通文件'/usr/local/nginx/conf/pathinfo.conf': 没有那个文件或目录
cp: 无法创建普通文件'/usr/local/nginx/conf/enable-php.conf': 没有那个文件或目录
cp: 无法创建普通文件'/usr/local/nginx/conf/enable-php-pathinfo.conf': 没有那个文件或目录
cp: 无法创建目录 '/usr/local/nginx/conf/example': 没有那个文件或目录
chown: 正在更改'/home/wwwroot/default/.user.ini' 的所有者: 不允许的操作
mkdir: 无法创建目录 “/usr/local/nginx/conf/vhost”: 没有那个文件或目录
3.9+
sed:无法读取 /usr/local/nginx/conf/nginx.conf:没有那个文件或目录
Add nginx service at system startup...
Synchronizing state of nginx.service with SysV service script with /lib/systemd/systemd-sysv-install.
Executing: /lib/systemd/systemd-sysv-install enable nginx                                         ExecuJob for nginx.service failed because the control process exited with error code.                  Job fSee "systemctl status nginx.service" and "journalctl -xe" for details.
正在读取软件包列表...
正在分析软件包的依赖关系树...
正在读取状态信息...
iptables-persistent 已经是最新版 (1.0.11+deb10u1)。
下列软件包是自动安装的并且现在不需要了:
  libpng-tools
使用'apt autoremove'来卸载它(它们)。
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
Saving netfilter rules...run-parts: executing /usr/

美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2021-3-25 16:42:02 | 显示全部楼层


只有这一部分日志,而且手头上没有该设备无法测试确定具体原因
raspbian的话应该是可以的,raspberry pi os好像问题比较多
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2021-3-25 18:09:13 | 显示全部楼层



本帖最后由 install 于 2021-3-25 18:11 编辑
licess 发表于 2021-3-25 16:42
只有这一部分日志,而且手头上没有该设备无法测试确定具体原因
raspbian的话应该是可以的,raspberry pi os ...

32位的respberry pi os 可以安装成功,改成64位的nginx就不能安装了
------------------------------
crypto/aes/vpaes-armv8.S:1191: Error: bad instruction `ldp d10,d11,[sp],#16'
crypto/aes/vpaes-armv8.S:1192: Error: bad instruction `ldp d8,d9,[sp],#16'
crypto/aes/vpaes-armv8.S:1193: Error: bad instruction `ldp x29,x30,[sp],#16'
crypto/aes/vpaes-armv8.S:1195: Error: bad instruction `ret'
make[3]: *** [Makefile:799: crypto/aes/vpaes-armv8.o] Error 1
make[3]: Leaving directory '/root/lnmp1.7/src/openssl-1.1.1g'
make[2]: *** [Makefile:174:all] 错误 2
make[2]: 离开目录“/root/lnmp1.7/src/openssl-1.1.1g”
make[1]: *** [objs/Makefile:1533:/root/lnmp1.7/src/openssl-1.1.1g/.openssl/include/openssl/ssl.h] 错误 2
make[1]: 离开目录“/root/lnmp1.7/src/nginx-1.18.0”
make: *** [Makefile:11:install] 错误 2
cp: 无法创建普通文件'/usr/local/nginx/conf/nginx.conf': 没有那个文件或目录
cp: 无法创建目录 '/usr/local/nginx/conf/': 没有那个文件或目录
cp: 无法创建普通文件'/usr/local/nginx/conf/pathinfo.conf': 没有那个文件或目录
cp: 无法创建普通文件'/usr/local/nginx/conf/enable-php.conf': 没有那个文件或目录
cp: 无法创建普通文件'/usr/local/nginx/conf/enable-php-pathinfo.conf': 没有那个文件或目录
cp: 无法创建目录 '/usr/local/nginx/conf/example': 没有那个文件或目录
mkdir: 无法创建目录 “/usr/local/nginx/conf/vhost”: 没有那个文件或目录
include/nginx.sh:行134: /usr/local/nginx/conf/fastcgi.conf: 没有那个文件或目录
3.9+
sed:无法读取 /usr/local/nginx/conf/nginx.conf:没有那个文件或目录
Create PHP Info Tool...
Copy PHP Prober...
Copy Opcache Control Panel...

============================Install PHPMyAdmin=================================
============================phpMyAdmin install completed=======================
正在读取软件包列表...
正在分析软件包的依赖关系树...
正在读取状态信息...
iptables-persistent 已经是最新版 (1.0.11+deb10u1)。
下列软件包是自动安装的并且现在不需要了:
  libpng-tools
使用'apt autoremove'来卸载它(它们)。
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
Saving netfilter rules...run-parts: executing /usr/share/netfilter-persistent/plugins.d/15-ip4tables save
run-parts: executing /usr/share/netfilter-persistent/plugins.d/25-ip6tables save
done.
Loading netfilter rules...run-parts: executing /usr/share/netfilter-persistent/plugins.d/15-ip4tables start
run-parts: executing /usr/share/netfilter-persistent/plugins.d/25-ip6tables start
done.
Add netfilter-persistent service at system startup...
Synchronizing state of netfilter-persistent.service with SysV service script with /lib/systemd/systemd-sysv-install.
Executing: /lib/systemd/systemd-sysv-install enable netfilter-persistent
insserv: FATAL: service mountkernfs has to be enabled to use service netfilter-persistent
insserv: FATAL: service mountkernfs has to be enabled to use service netfilter-persistent
Add Startup and Starting LNMP...
Add nginx service at system startup...
Synchronizing state of nginx.service with SysV service script with /lib/systemd/systemd-sysv-install.
Executing: /lib/systemd/systemd-sysv-install enable nginx
Created symlink /etc/systemd/system/multi-user.target.wants/nginx.service → /etc/systemd/system/nginx.service.
Job for nginx.service failed because the control process exited with error code.
See "systemctl status nginx.service" and "journalctl -xe" for details.
Add mysql service at system startup...
Synchronizing state of mysql.service with SysV service script with /lib/systemd/systemd-sysv-install.
Executing: /lib/systemd/systemd-sysv-install enable mysql
Add php-fpm service at system startup...
Synchronizing state of php-fpm.service with SysV service script with /lib/systemd/systemd-sysv-install.
Executing: /lib/systemd/systemd-sysv-install enable php-fpm
Created symlink /etc/systemd/system/multi-user.target.wants/php-fpm.service → /etc/systemd/system/php-fpm.service.
============================== Check install ==============================
Checking ...
^[[0;31mError: Nginx install failed.^[[0m
^[[0;32mMySQL: OK^[[0m
^[[0;32mPHP: OK^[[0m
^[[0;32mPHP-FPM: OK^[[0m
^[[0;31mSorry, Failed to install LNMP!^[[0m
^[[0;31mPlease visit https://bbs.vpser.net/forum-25-1.html feedback errors and logs.^[[0m
^[[0;31mYou can download /root/lnmp-install.log from your server,and upload lnmp-install.log to LNMP Forum.^[[0m


美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2021-3-26 08:02:39 | 显示全部楼层



install 发表于 2021-3-25 18:09
32位的respberry pi os 可以安装成功,改成64位的nginx就不能安装了
------------------------------
cryp ...

修改安装包目录下 include/version.sh 查找 openssl-1.1.1g 替换为         openssl-1.1.1k 试一下
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2021-3-28 13:00:56 | 显示全部楼层

licess 发表于 2021-3-26 08:02
修改安装包目录下 include/version.sh 查找 openssl-1.1.1g 替换为         openssl-1.1.1k 试一下 ...

一样安装失败哈,好像是连接不到 openssl-1.1.1k.tar.gz 文件
------------------------------------------------------------------------------------------------------------
第一段错误代码
--2021-03-28 12:48:34--  https://soft.vpser.net/lib/openssl/openssl-1.1.1k.tar.gz
正在解析主机 soft.vpser.net (soft.vpser.net)... 81.70.180.148
正在连接 soft.vpser.net (soft.vpser.net)|81.70.180.148|:443... 已连接。
已发出 HTTP 请求,正在等待回应... 302 Moved Temporarily
位置:http://175.6.32.4:88/soft/lib/openssl/openssl-1.1.1k.tar.gz [跟随至新的 URL]
--2021-03-28 12:48:34--  http://175.6.32.4:88/soft/lib/openssl/openssl-1.1.1k.tar.gz
正在连接 175.6.32.4:88... 已连接。
已发出 HTTP 请求,正在等待回应... 404 Not Found
2021-03-28 12:48:34 错误 404:Not Found。

tar (child): openssl-1.1.1k.tar.gz:无法 open: 没有那个文件或目录
tar (child): Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error is not recoverable: exiting now
Uncompress nginx-1.18.0.tar.gz...
cd nginx-1.18.0...
checking for OS
+ Linux 5.10.17-v8+ aarch64
checking for C compiler ... found
+ using GNU C compiler
+ gcc version: 8.3.0 (Raspbian 8.3.0-6+rpi1)
checking for gcc -pipe switch ... found
checking for -Wl,-E switch ... found
checking for gcc builtin atomic operations ... found
checking for C99 variadic macros ... found
checking for gcc variadic macros ... found
checking for gcc builtin 64 bit byteswap ... found
checking for unistd.h ... found
------------------------------------------------------------------------------------------------------------
第二段错误代码
  nginx http fastcgi temporary files: "fastcgi_temp"
  nginx http uwsgi temporary files: "uwsgi_temp"
  nginx http scgi temporary files: "scgi_temp"

make -f objs/Makefile
make[1]: 进入目录“/root/lnmp1.7/src/nginx-1.18.0”
cd /root/lnmp1.7/src/openssl-1.1.1k \
&& if [ -f Makefile ]; then make clean; fi \
&& ./config --prefix=/root/lnmp1.7/src/openssl-1.1.1k/.openssl no-shared no-threads 'enable-weak-ssl-ciphers' \
&& make \
&& make install_sw LIBDIR=lib
/bin/sh: 1: cd: can't cd to /root/lnmp1.7/src/openssl-1.1.1k
make[1]: *** [objs/Makefile:1533:/root/lnmp1.7/src/openssl-1.1.1k/.openssl/include/openssl/ssl.h] 错误 2
make[1]: 离开目录“/root/lnmp1.7/src/nginx-1.18.0”
make: *** [Makefile:8:build] 错误 2
make -f objs/Makefile
make[1]: 进入目录“/root/lnmp1.7/src/nginx-1.18.0”
cd /root/lnmp1.7/src/openssl-1.1.1k \
&& if [ -f Makefile ]; then make clean; fi \
&& ./config --prefix=/root/lnmp1.7/src/openssl-1.1.1k/.openssl no-shared no-threads 'enable-weak-ssl-ciphers' \
&& make \
&& make install_sw LIBDIR=lib
/bin/sh: 1: cd: can't cd to /root/lnmp1.7/src/openssl-1.1.1k
make[1]: *** [objs/Makefile:1533:/root/lnmp1.7/src/openssl-1.1.1k/.openssl/include/openssl/ssl.h] 错误 2
make[1]: 离开目录“/root/lnmp1.7/src/nginx-1.18.0”
make: *** [Makefile:8:build] 错误 2

补充内容 (2021-3-28 13:27):
我手动下载 openssl-1.1.1k 放到 src 目录下再试试哈

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2021-4-22 22:31 , Processed in 0.093710 second(s), 26 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表